1. Got a question or need help troubleshooting? Post to the troubleshooting forum or Search the forums!

Robo3D R1+ Arduino Firmware Help

Discussion in 'General Questions' started by Wesotn, Apr 15, 2016.

  1. Wesotn

    Wesotn New Member

    Joined:
    Dec 30, 2015
    Messages:
    16
    Likes Received:
    1
    Does anyone know how to change the smart controller type in the arduino upgrade for the R1+ on their website? Whenever I try to change it, it says that it has failed to compile and I've been going at it for a good hour and can't figure that out.
     
  2. Wesotn

    Wesotn New Member

    Joined:
    Dec 30, 2015
    Messages:
    16
    Likes Received:
    1
    Opps wrongs thread. My bad
     
  3. daniel871

    daniel871 Well-Known Member

    Joined:
    Apr 18, 2015
    Messages:
    1,322
    Likes Received:
    510
  4. Wesotn

    Wesotn New Member

    Joined:
    Dec 30, 2015
    Messages:
    16
    Likes Received:
    1
    @daniel871 I have checked that. My problem is that when I switch the LCD controller to the one I have, it no longer compiles properly.
     
  5. daniel871

    daniel871 Well-Known Member

    Joined:
    Apr 18, 2015
    Messages:
    1,322
    Likes Received:
    510
  6. Wesotn

    Wesotn New Member

    Joined:
    Dec 30, 2015
    Messages:
    16
    Likes Received:
    1
    I added the 8glib library which was what I was supposed to do, although it still won't compile.
     
  7. mark tomlinson

    mark tomlinson ༼ つ ◕_ ◕ ༽つ
    Staff Member

    Joined:
    Feb 21, 2013
    Messages:
    23,666
    Likes Received:
    7,316
    While we are not the Arduino experts, if you want any ideas you need to at least copy/paste the errors in here so we know what it is complaining about. :)
     
  8. WZ9V

    WZ9V Active Member

    Joined:
    Apr 9, 2016
    Messages:
    218
    Likes Received:
    64
    In addition I would suggest posting the configuration.h so people can see what options you are trying to enable or at least the LCD part since that's most likely to be where the problem is since you were trying add one.
     
    mark tomlinson likes this.
  9. Wesotn

    Wesotn New Member

    Joined:
    Dec 30, 2015
    Messages:
    16
    Likes Received:
    1
    I have managed to get it down to this error.
    Code:
    Arduino: 1.6.7 (Windows 10), Board: "Arduino/Genuino Mega or Mega 2560, ATmega2560 (Mega 2560)"
    
    In file included from sketch\Configuration_adv.h:659:0,
    
                     from sketch\Configuration.h:927,
    
                     from C:\Users\Weston\Desktop\3D Printer\Upgrades\Marlin-RC\ROBO3DR1PLUSV2\ROBO3DR1PLUSV2.ino:33:
    
    SanityCheck.h:438: error: #error BEEPER is now BEEPER_PIN. Please update your pins definitions.
    
       #error BEEPER is now BEEPER_PIN. Please update your pins definitions.
    
        ^
    
    exit status 1
    #error BEEPER is now BEEPER_PIN. Please update your pins definitions.
    
      This report would have more information with
      "Show verbose output during compilation"
      enabled in File > Preferences.
    
    As of this moment, I have no idea how to update my pins definitions. I have tried to search inside of pins.h but to no avail. Here is my Configuration.h as well so you can see exactly which LCD I am using.
     

    Attached Files:

  10. WheresWaldo

    WheresWaldo Volunteer ( ͠° ͟ʖ ͡°)
    Staff Member

    Joined:
    Feb 18, 2015
    Messages:
    5,905
    Likes Received:
    3,593
    Where did you get that Configuration.h?

    It is the one I made for RC5 and won't work with previous versions of Marlin or even with previous RC's. Please redownload the entire archive from Robo and use it as is.
     
    mark tomlinson likes this.
  11. WZ9V

    WZ9V Active Member

    Joined:
    Apr 9, 2016
    Messages:
    218
    Likes Received:
    64
  12. WheresWaldo

    WheresWaldo Volunteer ( ͠° ͟ʖ ͡°)
    Staff Member

    Joined:
    Feb 18, 2015
    Messages:
    5,905
    Likes Received:
    3,593
    Actually, you should be able to compile with any IDE over 1.5.0, and in the newest RCBugFix 1.6.0.
     

Share This Page